chrono File Reference
Utilities » Time

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::chrono
namespace | std::literals
namespace | std::literals::chrono_literals

## Macros

#define | _GLIBCXX_CHRONO

## Typedefs

using | std::chrono::__detail::__months_years_conversion_disambiguator = void
using | std::chrono::gps_seconds = gps_time< seconds >
template<typename _Duration >
using | std::chrono::gps_time = time_point< gps_clock, _Duration >
using | std::chrono::local_days = local_time< days >
using | std::chrono::local_seconds = local_time< seconds >
template<typename _Duration >
using | std::chrono::local_time = time_point< local_t, _Duration >
using | std::chrono::tai_seconds = tai_time< seconds >
template<typename _Duration >
using | std::chrono::tai_time = time_point< tai_clock, _Duration >
using | std::chrono::utc_seconds = utc_time< seconds >
template<typename _Duration >
using | std::chrono::utc_time = time_point< utc_clock, _Duration >

## Functions

template<unsigned __d, typename _Tp >
constexpr unsigned | std::chrono::__detail::__add_modulo (unsigned __x, _Tp __y)
template<unsigned __d, typename _Tp >
consteval auto | std::chrono::__detail::__modulo_offset ()
consteval long long | std::chrono::__detail::__pow10 (unsigned __n)
template<unsigned __d, typename _Tp >
constexpr unsigned | std::chrono::__detail::__sub_modulo (unsigned __x, _Tp __y)
constexpr bool | std::chrono::is_am (const hours &__h) noexcept
constexpr bool | std::chrono::is_pm (const hours &__h) noexcept
constexpr hours | std::chrono::make12 (const hours &__h) noexcept
constexpr hours | std::chrono::make24 (const hours &__h, bool __is_pm) noexcept

## Variables

constexpr unsigned | std::chrono::__detail::__days_per_month [12]
constexpr month | std::chrono::April
constexpr month | std::chrono::August
constexpr month | std::chrono::December
constexpr month | std::chrono::February
constexpr weekday | std::chrono::Friday
template<>
constexpr bool | std::chrono::is_clock_v< gps_clock >
template<>
constexpr bool | std::chrono::is_clock_v< tai_clock >
template<>
constexpr bool | std::chrono::is_clock_v< utc_clock >
constexpr month | std::chrono::January
constexpr month | std::chrono::July
constexpr month | std::chrono::June
constexpr last_spec | std::chrono::last
constexpr month | std::chrono::March
constexpr month | std::chrono::May
constexpr weekday | std::chrono::Monday
constexpr month | std::chrono::November
constexpr month | std::chrono::October
constexpr weekday | std::chrono::Saturday
constexpr month | std::chrono::September
constexpr weekday | std::chrono::Sunday
constexpr weekday | std::chrono::Thursday
constexpr weekday | std::chrono::Tuesday
constexpr weekday | std::chrono::Wednesday

## Detailed Description

This is a Standard C++ Library header.

Definition in file chrono.

## Macro Definition Documentation

## _GLIBCXX_CHRONO

#define _GLIBCXX_CHRONO

Definition at line 31 of file chrono.

## Typedef Documentation

## __months_years_conversion_disambiguator

using std::chrono::__detail::__months_years_conversion_disambiguator = typedef void

Definition at line 1090 of file chrono.

## Function Documentation

## __add_modulo()

template<unsigned __d, typename _Tp >

constexpr unsigned std::chrono::__detail::__add_modulo | ( | unsigned | __x,
|  | _Tp | __y
| ) |  |

constexpr

Definition at line 154 of file chrono.

## __modulo_offset()

template<unsigned __d, typename _Tp >

consteval auto std::chrono::__detail::__modulo_offset | ( |  | ) |

Definition at line 140 of file chrono.

## __pow10()

consteval long long std::chrono::__detail::__pow10 | ( | unsigned | __n | ) |

Definition at line 1949 of file chrono.

## __sub_modulo()

template<unsigned __d, typename _Tp >

constexpr unsigned std::chrono::__detail::__sub_modulo | ( | unsigned | __x,
|  | _Tp | __y
| ) |  |

constexpr

Definition at line 173 of file chrono.

## Variable Documentation

## __days_per_month

constexpr unsigned std::chrono::__detail::__days_per_month[12]

inline constexpr

Definition at line 180 of file chrono.